#      Copyright (C) 2015 whufclee: Modded by Kobra
#
#  This Program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.
#
#  This Program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with XBMC; see the file COPYING.  If not, write to
#  the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
#  http://www.gnu.org/copyleft/gpl.html
#

import os, re, xbmc, xbmcaddon, xbmcgui
ADDON_ID         = 'plugin.program.droid.buddy'
ADDONTITLE       = 'Droid Buddy'
ADDON            = xbmcaddon.Addon(id=ADDON_ID)
DIALOG           = xbmcgui.Dialog()
PATH             = ADDON.getSetting('downloads')
TESTPATH         = xbmc.translatePath(os.path.join(PATH,'test'))
X				 = xbmc.executebuiltin

def check():
	try:
		os.makedirs(TESTPATH)
		os.removedirs(TESTPATH)
		X('Dialog.Show(busydialog)')
		DIALOG.ok('[COLOR=dodgerblue][B]Success[/B][/COLOR]', '[COLOR ghostwhite]Great news, the selected path is writable. Some downloads are rather large in size, we recommend a minimum of 2GB storage space.[/COLOR]')
	except:
		X('Dialog.Show(busydialog)')
		DIALOG.ok('[COLOR red][B]Invalid Path[/B][/COLOR]', '[COLOR ghostwhite]Droid Buddy cannot write to the path you\'ve chosen. Please click [COLOR=dodgerblue][B]OK[/B][/COLOR] and select another location. Please note: currently network shares are not supported.[/COLOR]')
		SETTINGS(ADDON_ID, 0.1, True)
	X('Dialog.Close(busydialog)')

def SETTINGS(id=ADDON_ID, focus=None, click=False):
	try:
		X('Addon.OpenSettings(%s)' % id)
		value1, value2 = str(focus).split('.')
		X('SetFocus(%d)' % (int(value1) + 100))
		X('SetFocus(%d)' % (int(value2) + 200))
		if click == True: X('SendClick(%s)' % (int(value2) + 200))
	except:
		return
	
if __name__ == '__main__':
    check()